# Instagram Profile Feeds

{% hint style="info" %}
Make **GET** request on this endpoint to get rows with required parameters(if any required).
{% endhint %}

## Profile Feeds

```javascript
https://instagram.tabriel.com/v1/<tabriel_username>/<api_key>/feed
```

## Usage

## Get profile feeds

<mark style="color:blue;">`GET`</mark> `https://instagram.tabriel.com/<tabriel_username>/<api_key>/feed`

All parameters are optional

#### Path Parameters

| Name   | Type   | Description                              |
| ------ | ------ | ---------------------------------------- |
| limit  |        | Number of result you want in one request |
| before | String | To get result before current request     |
| after  | String | To get result after current request      |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "data": [
    {
      "id": "17990415805770935",
      "media_type": "VIDEO",
      "permalink": "https://www.instagram.com/reel/CodOpJQILLn/",
      "media_url": "https://video.cdninstagram.com/o1/v/t16/f1/m82/8B4CAAB22CBAD8D1844D2DA3D2CD578D_video_dashinit.mp4?efg=eyJ2ZW5jb2RlX3RhZyI6InZ0c192b2RfdXJsZ2VuLjQ4MC5jbGlwcyJ9&_nc_ht=video.cdninstagram.com&_nc_cat=102&vs=540898354521601_771846862&_nc_vs=HBkcFQIYT2lnX3hwdl9yZWVsc19wZXJtYW5lbnRfcHJvZC84QjRDQUFCMjJDQkFEOEQxODQ0RDJEQTNEMkNENTc4RF92aWRlb19kYXNoaW5pdC5tcDQVAALIAQAoABgAGwGIB3VzZV9vaWwBMRUAACbcnurZocnvPxUCKAJDMywXQC0AAAAAAAAYEmRhc2hfYmFzZWxpbmVfMl92MREAdQAA&ccb=9-4&oh=00_AfDRg4Fj59AFs7GAh_AxWZFkEK3_DCnZlXHDeyQmixL8Xw&oe=63F0AB4F&_nc_sid=ea0b6e&_nc_rid=829691937b",
      "thumbnail_url": "https://scontent.cdninstagram.com/v/t51.29350-15/329769623_630705729063986_388636040768416082_n.jpg?_nc_cat=101&ccb=1-7&_nc_sid=8ae9d6&_nc_ohc=qXt5dnvXPPsAX9Ko1sq&_nc_ht=scontent.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AfBaUD7nAeaak-2uYukvodARZRWQimsnV_Fh1Kj1MdhtbA&oe=63F4E057",
      "username": "sominecim",
      "timestamp": "2023-02-09T21:27:21+0000"
    },
    {
      "id": "17980871152933081",
      "media_type": "IMAGE",
      "permalink": "https://www.instagram.com/p/CoRqytQoXz9/",
      "media_url": "https://scontent.cdninstagram.com/v/t51.29350-15/329041745_697517965433530_4872858493107030028_n.jpg?_nc_cat=109&ccb=1-7&_nc_sid=8ae9d6&_nc_ohc=ITGdBAFj5goAX_nk64t&_nc_ht=scontent.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AfBs_xtQC65Y27rxU3Utm_SOfGdH-YuS2nkTGI6CaO2dTQ&oe=63F4C368",
      "username": "sominecim",
      "caption": "L-tipi asansörlü şömine modelimiz.\nFiyat ve bilgi için 7/24 yorum yapabilir, dm'den mesaj atabilir veya telefon numaramızdan bize ulaşabilirsiniz.\n\nWeb sitelerimiz:\nhttp://www.sominecim.com/\nhttp://www.sominedogaltasdunyasi.com/\n.\n.\n.\n.\n.\n#şömine #barbekü #doğaltaş #elektiriklişömine #doğalgazlışömine #bioethanolşömine #keşfetteyiz #dekorasyon #içmimar #tasarım #fireplaces #mimar #mobilya #kocaeli #izmir #istanbul #sominecim #şöminecim",
      "timestamp": "2023-02-05T09:42:15+0000"
    },
```

{% endtab %}

{% tab title="429: Too Many Requests Too Many Requests - Rate limiting has been applied." %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
  "message": "Request failed with status code 500"
}
```

{% endtab %}
{% endtabs %}

## Code Examples

{% tabs %}
{% tab title="Javascript" %}
{% code lineNumbers="true" %}

```javascript
var myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
var requestOptions = {
    method: "get",
    headers: myHeaders,
    redirect: "follow",
    
};

fetch("https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/feed", requestOptions)
    .then(response => response.text())
    .then(result => console.log(result))
    .catch(error => console.log('error', error));
```

{% endcode %}

{% endtab %}

{% tab title="NodeJS" %}
{% code lineNumbers="true" %}

```javascript
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/feed', 
    params: {},
}).then(function (response) {
        // handle success
        console.log(response.data);
}).catch(function (error) {
        // handle error
        console.log(error);

```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
import requests

url = "https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/feed"
params = {}
r = requests.get(url = url, params = params)
result = r.json()
print(result)
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
    CURLOPT_URL => "https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/feed",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_POSTFIELDS =>'{}',
    CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
    ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tabriel.com/welcome/reference/instagram/instagram-profile-feeds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
